CLEVIS-LUKS-REPORT(1)

NAME
clevis-luks-report - Reports whether a pin bound to a LUKS1 or LUKS2 volume has been rotated

SYNOPSIS

clevis luks report -d DEV -s SLT

OVERVIEW

The clevis luks report command checks a given slot of a LUKS device and reports whether the pin bound to it — if any — has been rotated.

OPTIONS

    • -d DEV : The bound LUKS device

    • -s SLT : The slot or key slot number for the pin to be verified

    • -q : Quiet mode. If used, we will not prompt whether to regenerate the binding with clevis luks regen

    • -r : Regenerates LUKS metadata with clevis luks regen -q -d DEV -s SLT

EXAMPLE

    Check whether the pin bound to slot 1 in /dev/sda1 has been rotated:

    # clevis luks report -d /dev/sda1 -s 1

SEE ALSO